Bug 97488 - (TB6d4aecdb) crash on startup
crash on startup
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-16 12:07 EDT by Soeren Grunewald
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version: 1.2.12-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-18 10:06:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Soeren Grunewald 2003-06-16 12:07:14 EDT
From Bugzilla Helper:
User-Agent: Opera/7.11 (Linux 2.4.20-8 i686; U)  [de]

Description of problem:
The redhat-config-network program crashes on startup with following message

Component: redhat-config-network
Version: 1.2.0
Summary: TB /usr/lib/python2.2/site-packages/rhpl/exception.py:280:handleException:TypeError: 
generic_error_dialog() got an unexpected keyword argument 'dialog_type'
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-network-gui", line 169, in ?
    handleException(sys.exc_info(), PROGNAME, PRG_VERSION)
  File "/usr/lib/python2.2/site-packages/rhpl/exception.py", line 280, in handleException
    dialog_type = "info")
TypeError: generic_error_dialog() got an unexpected keyword argument 'dialog_type'

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Starting the programm

Additional info:

The problem has come, after i have used linuxconf to configure the network.
At the moment i can only use linuxconf or gnome-system-tools to configure the network.
Comment 1 Harald Hoyer 2003-06-18 05:52:56 EDT
get the update from:
ftp://people.redhat.com/harald/redhat-config-network/1.2.12-RH9
Comment 2 Soeren Grunewald 2003-06-18 07:24:27 EDT
i have updated the following files:
rhpl-0.93.3-1, redhat-config-network-1.2.12-2 and redhat-config-network-tui-1.2.12-2
but now i get a new error:

Component: redhat-config-network
Version: 1.2.12
Summary: TB6d4aecdb NCDeviceFactory.py:56:getDeviceClass:NameError: global name 'log' is not 
defined
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-network-gui", line 157, in main
    window = mainDialog()
  File "/var/tmp/redhat-config-network-1.2.
12-root/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py", line 213, in __init__
  File "/var/tmp/redhat-config-network-1.2.
12-root/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py", line 242, in load
  File "/var/tmp/redhat-config-network-1.2.
12-root/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py", line 249, in loadDevices
  File "/var/tmp/redhat-config-network-1.2.
12-root/usr/share/redhat-config-network/netconfpkg/NCDeviceList.py", line 312, in getDeviceList
  File "/var/tmp/redhat-config-network-1.2.
12-root/usr/share/redhat-config-network/netconfpkg/NCDeviceList.py", line 132, in load
  File "/var/tmp/redhat-config-network-1.2.
12-root/usr/share/redhat-config-network/netconfpkg/NCDeviceFactory.py", line 56, in 
getDeviceClass
NameError: global name 'log' is not defined

Local variables in innermost frame:
subtype: None
devtype: Loopback
self: {'Wireless': {0: <class netconfpkg.plugins.NCDevWireless.DevWireless at 0x83a6054>}, 'Token 
Ring': {0: <class netconfpkg.plugins.NCDevTokenRing.DevTokenRing at 0x839cc14>}, 'CIPE': {0: 
<class netconfpkg.plugins.NCDevCipe.DevCipe at 0x837a484>}, 'Ethernet': {0: <class netconfpkg.
plugins.NCDevEthernet.DevEthernet at 0x813a384>}, 'Modem': {0: <class netconfpkg.plugins.
NCDevModem.DevModem at 0x838c744>}, 'xDSL': {0: <class netconfpkg.plugins.NCDevADSL.
DevADSL at 0x8370d34>}, 'ISDN': {0: <class netconfpkg.plugins.NCDevIsdn.DevIsdn at 
0x838a3bc>}}
Comment 3 Harald Hoyer 2003-06-18 07:33:29 EDT
please up/downgrade to rhpl-0.93.3
Comment 4 Harald Hoyer 2003-06-18 07:33:59 EDT
oops... you did..
Comment 5 Harald Hoyer 2003-06-18 08:39:13 EDT
please try version 1.2.12-3:
ftp://people.redhat.com/harald/redhat-config-network/1.2.12-RH9
Comment 6 Soeren Grunewald 2003-06-18 09:32:38 EDT
I have update and an new error. Do you need any further information, such as configfiles ?
My system is registered on rhn, the accountname ist u13881 the machine is called VIBULADEV.

Component: redhat-config-network
Version: 1.2.12
Summary: TBe651d8e2 log.py:47:__call__:TypeError: unsupported operand type(s) for %: 'int' and 
'tuple'
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-network-gui", line 163, in main
    window = mainDialog()
  File "/var/tmp/redhat-config-network-1.2.
12-root/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py", line 213, in __init__
  File "/var/tmp/redhat-config-network-1.2.
12-root/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py", line 242, in load
  File "/var/tmp/redhat-config-network-1.2.
12-root/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py", line 249, in loadDevices
  File "/var/tmp/redhat-config-network-1.2.
12-root/usr/share/redhat-config-network/netconfpkg/NCDeviceList.py", line 312, in getDeviceList
  File "/var/tmp/redhat-config-network-1.2.
12-root/usr/share/redhat-config-network/netconfpkg/NCDeviceList.py", line 132, in load
  File "/var/tmp/redhat-config-network-1.2.
12-root/usr/share/redhat-config-network/netconfpkg/NCDeviceFactory.py", line 58, in 
getDeviceClass
  File "/usr/lib/python2.2/site-packages/rhpl/log.py", line 47, in __call__
    self.handler (format % args)
TypeError: unsupported operand type(s) for %: 'int' and 'tuple'

Local variables in innermost frame:
self: <rhpl.log.LogFile instance at 0x818f7bc>
args: ('Error: Loopback not in DeviceFactory!',)
format: 1
Comment 7 Harald Hoyer 2003-06-18 09:48:48 EDT
my fault, please try version 1.2.12-4:
ftp://people.redhat.com/harald/redhat-config-network/1.2.12-RH9
Comment 8 Soeren Grunewald 2003-06-18 09:54:37 EDT
ok, now it works.
thx
Comment 9 Gastan DeGouk 2004-10-01 04:49:52 EDT
the link doesn't work
ftp://people.redhat.com/harald/redhat-config-network/1.2.12-RH9

please put the file back..i think i need it
Comment 10 Harald Hoyer 2004-10-01 05:00:45 EDT
ftp://ftp.redhat.com/pub/redhat/linux/updates/9/en/os/noarch/

redhat-config-network-1.2.15-1.noarch.rpm
redhat-config-network-tui-1.2.15-1.noarch.rpm

Note You need to log in before you can comment on or make changes to this bug.